Favicon

You are here: Home > API Reference > Platform > Organization Providers > Get list of providers

GET /organizations/:organizationId/providers

Required Permission: base.organization.loginProvider.list

Get list of providers

GET
https://api.applivery.io/v1/organizations/{organizationId}/providers
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/providers" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/providers", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/providers",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
type string
optional
ldapsamlgooglesocial
target string
optional
dashboardstoremdm

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
ldap saml google social
target string required
dashboard store mdm
config object optional
ldap object optional
saml object optional
google object optional
social object optional
tags array [object] optional
scim object optional
createdBy string required
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string required
createdAt string required
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "type": "ldap",
                "target": "dashboard",
                "config": {
                    "supportMergeSSOEmployeesWithSSOUsers": true,
                    "defaultRole": "owner",
                    "loginButtonText": "string"
                },
                "ldap": {
                    "url": "string",
                    "bindDN": "string",
                    "searchBase": "string",
                    "searchFilter": "string",
                    "attributes": {
                        "email": [
                            "string"
                        ],
                        "firstName": [
                            "string"
                        ],
                        "lastName": [
                            "string"
                        ]
                    }
                },
                "saml": {
                    "idpXml": "string",
                    "attributes": {
                        "email": [
                            "string"
                        ],
                        "firstName": [
                            "string"
                        ],
                        "lastName": [
                            "string"
                        ],
                        "userName": [
                            "string"
                        ],
                        "groups": [
                            "string"
                        ],
                        "metadata": [
                            {
                                "name": "string",
                                "attributes": [
                                    "string"
                                ]
                            }
                        ]
                    },
                    "metadataXmlUri": "string",
                    "callbackUri": "string",
                    "replyUri": "string"
                },
                "google": {
                    "appId": "string",
                    "clientSecret": "string",
                    "domains": [
                        "string"
                    ],
                    "accessTokenGroups": true,
                    "groups": [
                        "string"
                    ]
                },
                "social": {
                    "google": true
                },
                "tags": [
                    {
                        "original": "string",
                        "translation": "string"
                    }
                ],
                "scim": {
                    "bearer": "string",
                    "config": {
                        "collaborator": {
                            "create": {
                                "action": "createWithRole",
                                "createWithRole": "owner"
                            },
                            "deactivate": {
                                "action": "remove"
                            }
                        },
                        "employee": {
                            "create": {
                                "action": "create"
                            },
                            "deactivate": {
                                "action": "remove"
                            }
                        },
                        "mdmUser": {
                            "create": {
                                "action": "create"
                            },
                            "deactivate": {
                                "action": "unassign",
                                "changePolicy": {
                                    "winPolicyId": "string",
                                    "admPolicyIdMacos": "string",
                                    "admPolicyIdIos": "string",
                                    "emmPolicyId": "string",
                                    "winPolicyAssignments": [
                                        {
                                            "winPolicyId": "string",
                                            "priority": 0
                                        }
                                    ],
                                    "admPolicyAssignmentsMacos": [
                                        {
                                            "admPolicyId": "string",
                                            "priority": 0
                                        }
                                    ],
                                    "admPolicyAssignmentsIos": [
                                        {
                                            "admPolicyId": "string",
                                            "priority": 0
                                        }
                                    ],
                                    "emmPolicyAssignments": [
                                        {
                                            "emmPolicyId": "string",
                                            "priority": 0
                                        }
                                    ]
                                }
                            }
                        }
                    },
                    "attributes": [
                        {
                            "name": "string",
                            "attributes": [
                                {
                                    "namespace": "string",
                                    "key": "string"
                                }
                            ]
                        }
                    ],
                    "attributesHistory": [
                        {
                            "namespace": "string",
                            "key": "string"
                        }
                    ]
                },
                "createdBy": "string",
                "updatedAt": "string",
                "createdAt": "string"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}